Loading...
Searching...
No Matches

decode_value
encode_value
get_config
help_text
HOME
init
initialized
is_game
is_system
load_config
lock
module_get_config
module_info
module_init
module_option
option
parse_args
pname
read_cache
read_config
read_data
read_runtime
read_spool
remove_cache
remove_config
remove_data
remove_runtime
remove_spool
remove_temp
save_config
unlock
version_text
write_cache
write_config
write_data
write_log
write_runtime
write_spool
write_temp
XDG_CACHE_HOME
XDG_CONFIG_DIRS
XDG_CONFIG_HOME
XDG_DATA_DIRS
XDG_DATA_HOME
XDG_RUNTIME_DIR

## module_get_config()

fhs.module_get_config | ( |  | modulename,
|  |  | extra = False )

Retrieve module configuration.

A module can add configuration options by calling module_option() before the program calls init(). This function is used to retrieve the configuration. If init() has not been called yet, it will be called implicitly with default settings.

Parameters

  modulename | Name of the module. Must be identical to the name that was passed to module_option().

Returns
  configuration dict, with the same format as the return value of init(). This dict does not include the automatic module prefix of the module options.

Definition at line 776 of file fhs.py.

Here is the call graph for this function: